Tesseract 3.02

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | Public Attributes
tesseract::DawgArgs Struct Reference

`#include <dict.h>`

List of all members.

## Public Member Functions

| DawgArgs (DawgInfoVector *d, DawgInfoVector *c, DawgInfoVector *ud, DawgInfoVector *uc, float r, PermuterType p, int len, int e)

## Public Attributes

DawgInfoVector * | active_dawgs
DawgInfoVector * | constraints
DawgInfoVector * | updated_active_dawgs
DawgInfoVector * | updated_constraints
PermuterType | permuter
int | sought_word_length
float | rating_margin
float | rating_array [MAX_WERD_LENGTH]
int | end_char_choice_index

## Detailed Description

Definition at line 65 of file dict.h.

## Constructor & Destructor Documentation

tesseract::DawgArgs::DawgArgs | ( | DawgInfoVector * | d,
|  | DawgInfoVector * | c,
|  | DawgInfoVector * | ud,
|  | DawgInfoVector * | uc,
|  | float | r,
|  | PermuterType | p,
|  | int | len,
|  | int | e
| ) |  |

inline

Definition at line 66 of file dict.h.

:
active_dawgs(d), constraints(c), updated_active_dawgs(ud),
updated_constraints(uc), rating_margin(r) {
for (int i = 0; i < MAX_WERD_LENGTH; ++i) {
rating_array[i] = NO_RATING;
}
permuter = p;
sought_word_length = len;
end_char_choice_index = e;
}

## Member Data Documentation

DawgInfoVector* tesseract::DawgArgs::active_dawgs

Definition at line 77 of file dict.h.

DawgInfoVector* tesseract::DawgArgs::constraints

Definition at line 78 of file dict.h.

int tesseract::DawgArgs::end_char_choice_index

Definition at line 87 of file dict.h.

PermuterType tesseract::DawgArgs::permuter

Definition at line 81 of file dict.h.

float tesseract::DawgArgs::rating_array[MAX_WERD_LENGTH]

Definition at line 86 of file dict.h.

float tesseract::DawgArgs::rating_margin

pruning margin ratio

Definition at line 85 of file dict.h.

int tesseract::DawgArgs::sought_word_length

Definition at line 82 of file dict.h.

DawgInfoVector* tesseract::DawgArgs::updated_active_dawgs

Definition at line 79 of file dict.h.

DawgInfoVector* tesseract::DawgArgs::updated_constraints

Definition at line 80 of file dict.h.

The documentation for this struct was generated from the following file:

- /mnt/data/src/tesseract-ocr/dict/dict.h